Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.metadata.coordination
Class CoordinationMetaData

    java.lang.Object
      org.jboss.portal.core.model.portal.metadata.coordination.CoordinationMetaData

    public class CoordinationMetaData

extends java.lang.Object

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`CoordinationMetaData()`

Method Summary
`void` | `addAliasBinding(CoordinationAliasBindingMetaData aliasBinding)`
`void` | `addWindowBinding(CoordinationWindowBindingMetaData binding)`
`void` | `addWirings(CoordinationEventWiringMetaData wiring)`
`static CoordinationMetaData` | `buildMetaData(org.w3c.dom.Element coordinationElt)`
`void` | `configure(BuildContext buildContext, PortalObject object)`
`java.util.List<CoordinationAliasBindingMetaData>` | `getAliasBindings()`
`java.lang.String` | `getImplicitModeEvent()`
`java.lang.String` | `getImplicitModeParameter()`
`java.util.List<CoordinationWindowBindingMetaData>` | `getWindowBindings()`
`java.util.List<CoordinationEventWiringMetaData>` | `getWirings()`
`void` | `setAliasBindings(java.util.List<CoordinationAliasBindingMetaData> aliasBindings)`
`void` | `setImplicitModeEvent(java.lang.String implicitModeEvent)`
`void` | `setImplicitModeParameter(java.lang.String implicitModeParameter)`
`void` | `setWindowBindings(java.util.List<CoordinationWindowBindingMetaData> windowBindings)`
`void` | `setWirings(java.util.List<CoordinationEventWiringMetaData> wirings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinationMetaData

    public CoordinationMetaData()

Method Detail

### buildMetaData

    public static CoordinationMetaData buildMetaData(org.w3c.dom.Element coordinationElt)

### configure

    public void configure(BuildContext buildContext,
                          PortalObject object)
                   throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### getImplicitModeEvent

    public java.lang.String getImplicitModeEvent()

### setImplicitModeEvent

    public void setImplicitModeEvent(java.lang.String implicitModeEvent)

### getImplicitModeParameter

    public java.lang.String getImplicitModeParameter()

### setImplicitModeParameter

    public void setImplicitModeParameter(java.lang.String implicitModeParameter)

### getWirings

    public java.util.List<CoordinationEventWiringMetaData> getWirings()

### setWirings

    public void setWirings(java.util.List<CoordinationEventWiringMetaData> wirings)

### addWirings

    public void addWirings(CoordinationEventWiringMetaData wiring)

### getWindowBindings

    public java.util.List<CoordinationWindowBindingMetaData> getWindowBindings()

### setWindowBindings

    public void setWindowBindings(java.util.List<CoordinationWindowBindingMetaData> windowBindings)

### addWindowBinding

    public void addWindowBinding(CoordinationWindowBindingMetaData binding)

### getAliasBindings

    public java.util.List<CoordinationAliasBindingMetaData> getAliasBindings()

### setAliasBindings

    public void setAliasBindings(java.util.List<CoordinationAliasBindingMetaData> aliasBindings)

### addAliasBinding

    public void addAliasBinding(CoordinationAliasBindingMetaData aliasBinding)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD